/*******************************************************************************
* Project:      Amped'RF Bluetooth
* File name:    SDK trace.c
* Description:  Trace signals
*
* Copyright (c) 2016 Amped'RF Technology Inc, All rights reserved.
*******************************************************************************/
#ifdef SDK
#include "SDK_Common.h"

char * SDK_GetSignalName(unsigned short iSig)
{
    switch (iSig)
    {
    case SIG_AMP_GAP_DEVICE_SETUP                   : return "SIG_AMP_GAP_DEVICE_SETUP";
    case SIG_AMP_GAP_START_INQUIRY                  : return "SIG_AMP_GAP_START_INQUIRY";
    case SIG_AMP_GAP_CANCEL_INQUIRY                 : return "SIG_AMP_GAP_CANCEL_INQUIRY";
    case SIG_AMP_GAP_REMOTE_NAME_REQ                : return "SIG_AMP_GAP_REMOTE_NAME_REQ";
    case SIG_AMP_GAP_SECURITY_SETUP                 : return "SIG_AMP_GAP_SECURITY_SETUP";
    case SIG_AMP_GAP_PINCODE_REPLY                  : return "SIG_AMP_GAP_PINCODE_REPLY";
    case SIG_AMP_CREATE_DEVICE_DATABASE             : return "SIG_AMP_CREATE_DEVICE_DATABASE";
    case SIG_AMP_DELETE_DEVICE_DATABASE             : return "SIG_AMP_DELETE_DEVICE_DATABASE";
    case SIG_AMP_GAP_AUTHORIZE_RESPONSE             : return "SIG_AMP_GAP_AUTHORIZE_RESPONSE";
    case SIG_AMP_GAP_SETUP                          : return "SIG_AMP_GAP_SETUP";
    case SIG_AMP_GAP_RESET_REQ                      : return "SIG_AMP_GAP_RESET_REQ";
    case SIG_AMP_GAP_READ_BD_ADDR_REQ               : return "SIG_AMP_GAP_READ_BD_ADDR_REQ";
    case SIG_AMP_GAP_BOND                           : return "SIG_AMP_GAP_BOND";
    case SIG_AMP_READ_DEVICE_DATABASE               : return "SIG_AMP_READ_DEVICE_DATABASE";
    case SIG_AMP_HOLD_MODE                          : return "SIG_AMP_HOLD_MODE";
    case SIG_AMP_SNIFF_MODE                         : return "SIG_AMP_SNIFF_MODE";
    case SIG_AMP_EXIT_SNIFF_MODE                    : return "SIG_AMP_EXIT_SNIFF_MODE";
    case SIG_AMP_PARK_MODE                          : return "SIG_AMP_PARK_MODE";
    case SIG_AMP_EXIT_PARK_MODE                     : return "SIG_AMP_EXIT_PARK_MODE";
    case SIG_AMP_SWITCH_ROLE                        : return "SIG_AMP_SWITCH_ROLE";
    case SIG_AMP_ADD_SCO                            : return "SIG_AMP_ADD_SCO";
    case SIG_AMP_SETUP_SYNC                         : return "SIG_AMP_SETUP_SYNC";
    case SIG_AMP_PACKET_TYPE                        : return "SIG_AMP_PACKET_TYPE";
    case SIG_AMP_SET_FLUSH_TIMEOUT                  : return "SIG_AMP_SET_FLUSH_TIMEOUT";
    case SIG_AMP_GAP_LE_DEVICE_SETUP                : return "SIG_AMP_GAP_LE_DEVICE_SETUP";
    case SIG_AMP_GAP_LE_LINK_CREATE                 : return "SIG_AMP_GAP_LE_LINK_CREATE";
    case SIG_AMP_GAP_LE_LINK_TERMINATE              : return "SIG_AMP_GAP_LE_LINK_TERMINATE";
    case SIG_AMP_DELETE_LE_DEVICE_DATABASE          : return "SIG_AMP_DELETE_LE_DEVICE_DATABASE";
    case SIG_AMP_GAP_RESULT                         : return "SIG_AMP_GAP_RESULT";
    case SIG_AMP_GAP_INQUIRY_RESULT                 : return "SIG_AMP_GAP_INQUIRY_RESULT";
    case SIG_AMP_GAP_REMOTE_NAME_CON                : return "SIG_AMP_GAP_REMOTE_NAME_CON";
    case SIG_AMP_GAP_PIN_CODE_REQUEST               : return "SIG_AMP_GAP_PIN_CODE_REQUEST";
    case SIG_AMP_GAP_AUTHORIZE_REQUEST              : return "SIG_AMP_GAP_AUTHORIZE_REQUEST";
    case SIG_AMP_GAP_ABORT_SECURITY                 : return "SIG_AMP_GAP_ABORT_SECURITY";
    case SIG_AMP_GAP_AUTH_COMPLETE                  : return "SIG_AMP_GAP_AUTH_COMPLETE";
    case SIG_AMP_GAP_RESET_CON                      : return "SIG_AMP_GAP_RESET_CON";
    case SIG_AMP_GAP_DATA_BUFFER_FREED              : return "SIG_AMP_GAP_DATA_BUFFER_FREED";
    case SIG_AMP_GAP_READ_BD_ADDR_RES               : return "SIG_AMP_GAP_READ_BD_ADDR_RES";
    case SIG_AMP_GAP_DEVICE_DB_RESULT               : return "SIG_AMP_GAP_DEVICE_DB_RESULT";
    case SIG_AMP_GAP_LINK_KEY_NOTIFY                : return "SIG_AMP_GAP_LINK_KEY_NOTIFY";
    case SIG_AMP_MODE_CHANGE_RESULT                 : return "SIG_AMP_MODE_CHANGE_RESULT";
    case SIG_AMP_GAP_LL_CONN_DOWN                   : return "SIG_AMP_GAP_LL_CONN_DOWN";
    case SIG_AMP_SWITCH_ROLE_RESULT                 : return "SIG_AMP_SWITCH_ROLE_RESULT";
    case SIG_AMP_GAP_CONFIRMATION_REQUEST           : return "SIG_AMP_GAP_CONFIRMATION_REQUEST";
    case SIG_AMP_SPP_SEND                           : return "SIG_AMP_SPP_SEND";
    case SIG_AMP_SPP_LISTEN_REQ                     : return "SIG_AMP_SPP_LISTEN_REQ";
    case SIG_AMP_SPP_CONNECT_REQ                    : return "SIG_AMP_SPP_CONNECT_REQ";
    case SIG_AMP_SPP_DISCONNECT_REQ                 : return "SIG_AMP_SPP_DISCONNECT_REQ";
    case SIG_AMP_SPP_SETUP                          : return "SIG_AMP_SPP_SETUP";
    case SIG_AMP_SPP_LAP_LISTEN_REQ                 : return "SIG_AMP_SPP_LAP_LISTEN_REQ";
    case SIG_AMP_SPP_GENERIC_LISTEN_REQ             : return "SIG_AMP_SPP_GENERIC_LISTEN_REQ";
    case SIG_AMP_SPP_GENERIC_CONNECT_REQ            : return "SIG_AMP_SPP_GENERIC_CONNECT_REQ";
    case SIG_AMP_SPP_ADD_PORT_REQ                   : return "SIG_AMP_SPP_ADD_PORT_REQ";
    case SIG_AMP_SPP_SERVICE_REQ                    : return "SIG_AMP_SPP_SERVICE_REQ";
    case SIG_AMP_PORT_DISCONNECT_REQ                : return "SIG_AMP_PORT_DISCONNECT_REQ";
    case SIG_AMP_LINK_DISCONNECT_REQ                : return "SIG_AMP_LINK_DISCONNECT_REQ";
    case SIG_AMP_SAVE_RECONNECT_INFO                : return "SIG_AMP_SAVE_RECONNECT_INFO";
    case SIG_AMP_AVDTP_LISTEN_REQ                   : return "SIG_AMP_AVDTP_LISTEN_REQ";
    case SIG_AMP_AVDTP_ABORT_REQ                    : return "SIG_AMP_AVDTP_ABORT_REQ";
    case SIG_AMP_AVDTP_ERASE_MEDIA_BUFFER           : return "SIG_AMP_AVDTP_ERASE_MEDIA_BUFFER";
    case SIG_AMP_AVDTP_DMA_BLOCK_COLLISION          : return "SIG_AMP_AVDTP_DMA_BLOCK_COLLISION";
    case SIG_AMP_SPP_RECV                           : return "SIG_AMP_SPP_RECV";
    case SIG_AMP_SPP_CONNECT_STATUS                 : return "SIG_AMP_SPP_CONNECT_STATUS";
    case SIG_AMP_SPP_LISTEN_CON                     : return "SIG_AMP_SPP_LISTEN_CON";
    case SIG_AMP_SPP_CONNECT_CON                    : return "SIG_AMP_SPP_CONNECT_CON";
    case SIG_AMP_SPP_DISCONNECT_IND                 : return "SIG_AMP_SPP_DISCONNECT_IND";
    case SIG_AMP_SPP_DISCONNECT_CON                 : return "SIG_AMP_SPP_DISCONNECT_CON";
    case SIG_AMP_SPP_SETUP_RESULT                   : return "SIG_AMP_SPP_SETUP_RESULT";
    case SIG_AMP_SPP_AMP_TO_API_END                 : return "SIG_AMP_SPP_AMP_TO_API_END";
    case SIG_AMP_PAN_LISTEN_CONFIRM                 : return "SIG_AMP_PAN_LISTEN_CONFIRM";
    case SIG_AMP_PAN_CONNECT_CONFIRM                : return "SIG_AMP_PAN_CONNECT_CONFIRM";
    case SIG_AMP_PAN_DISCONNECT_CONFIRM             : return "SIG_AMP_PAN_DISCONNECT_CONFIRM";
    case SIG_AMP_PAN_DISCONNECT_INDICATION          : return "SIG_AMP_PAN_DISCONNECT_INDICATION";
    case SIG_AMP_PAN_EVENT                          : return "SIG_AMP_PAN_EVENT";
    case SIG_AMP_PAN_UNITDATA_INDICATION            : return "SIG_AMP_PAN_UNITDATA_INDICATION";
    case SIG_AMP_PAN_ERROR                          : return "SIG_AMP_PAN_ERROR";
    case SIG_AMP_PAN_STATUS_DATA_INDICATION         : return "SIG_AMP_PAN_STATUS_DATA_INDICATION";
    case SIG_AMP_PAN_LISTEN_REQUEST                 : return "SIG_AMP_PAN_LISTEN_REQUEST";
    case SIG_AMP_PAN_CONNECT_REQUEST                : return "SIG_AMP_PAN_CONNECT_REQUEST";
    case SIG_AMP_PAN_DISCONNECT_REQUEST             : return "SIG_AMP_PAN_DISCONNECT_REQUEST";
    case SIG_AMP_PAN_UNITDATA_REQUEST               : return "SIG_AMP_PAN_UNITDATA_REQUEST";
    case SIG_AMP_OPP_SETUP                          : return "SIG_AMP_OPP_SETUP";
    case SIG_AMP_OPP_SERVER_REGISTER_REQ            : return "SIG_AMP_OPP_SERVER_REGISTER_REQ";
    case SIG_AMP_OPP_SERVER_PUSH_OBJECT_CON         : return "SIG_AMP_OPP_SERVER_PUSH_OBJECT_CON";
    case SIG_AMP_OPP_SERVER_PULL_OBJECT_CON         : return "SIG_AMP_OPP_SERVER_PULL_OBJECT_CON";
    case SIG_AMP_OPP_SERVER_UNREGISTER_REQ          : return "SIG_AMP_OPP_SERVER_UNREGISTER_REQ";
    case SIG_AMP_OPP_SERVER_ABORT_CON               : return "SIG_AMP_OPP_SERVER_ABORT_CON";
    case SIG_AMP_OPP_SERVER_CLOSE_CON               : return "SIG_AMP_OPP_SERVER_CLOSE_CON";
    case SIG_AMP_OPP_SERVER_OPEN_CON                : return "SIG_AMP_OPP_SERVER_OPEN_CON";
    case SIG_AMP_OPP_CLIENT_OPEN_REQ                : return "SIG_AMP_OPP_CLIENT_OPEN_REQ";
    case SIG_AMP_OPP_CLIENT_PUSH_OBJECT_REQ         : return "SIG_AMP_OPP_CLIENT_PUSH_OBJECT_REQ";
    case SIG_AMP_OPP_CLIENT_PULL_OBJECT_REQ         : return "SIG_AMP_OPP_CLIENT_PULL_OBJECT_REQ";
    case SIG_AMP_OPP_CLIENT_EXCHANGE_OBJECTS_REQ    : return "SIG_AMP_OPP_CLIENT_EXCHANGE_OBJECTS_REQ";
    case SIG_AMP_OPP_CLIENT_ABORT_REQ               : return "SIG_AMP_OPP_CLIENT_ABORT_REQ";
    case SIG_AMP_OPP_CLIENT_CLOSE_REQ               : return "SIG_AMP_OPP_CLIENT_CLOSE_REQ";
    case SIG_AMP_OPP_RESULT                         : return "SIG_AMP_OPP_RESULT";
    case SIG_AMP_OPP_SERVER_PUSH_OBJECT_IND         : return "SIG_AMP_OPP_SERVER_PUSH_OBJECT_IND";
    case SIG_AMP_OPP_SERVER_PULL_OBJECT_IND         : return "SIG_AMP_OPP_SERVER_PULL_OBJECT_IND";
    case SIG_AMP_OPP_SERVER_ABORT_IND               : return "SIG_AMP_OPP_SERVER_ABORT_IND";
    case SIG_AMP_OPP_SERVER_CLOSE_IND               : return "SIG_AMP_OPP_SERVER_CLOSE_IND";
    case SIG_AMP_OPP_SERVER_UNREGISTER_RSP          : return "SIG_AMP_OPP_SERVER_UNREGISTER_RSP";
    case SIG_AMP_OPP_SERVER_REGISTER_RSP            : return "SIG_AMP_OPP_SERVER_REGISTER_RSP";
    case SIG_AMP_OPP_SERVER_OPEN_IND                : return "SIG_AMP_OPP_SERVER_OPEN_IND";
    case SIG_AMP_OPP_CLIENT_PUSH_OBJECT_RSP         : return "SIG_AMP_OPP_CLIENT_PUSH_OBJECT_RSP";
    case SIG_AMP_OPP_CLIENT_PULL_OBJECT_RSP         : return "SIG_AMP_OPP_CLIENT_PULL_OBJECT_RSP";
    case SIG_AMP_OPP_CLIENT_EXCHANGE_OBJECTS_RSP    : return "SIG_AMP_OPP_CLIENT_EXCHANGE_OBJECTS_RSP";
    case SIG_AMP_OPP_CLIENT_ABORT_RSP               : return "SIG_AMP_OPP_CLIENT_ABORT_RSP";
    case SIG_AMP_OPP_CLIENT_CLOSE_RSP               : return "SIG_AMP_OPP_CLIENT_CLOSE_RSP";
    case SIG_AMP_OPP_CLIENT_OPEN_RSP                : return "SIG_AMP_OPP_CLIENT_OPEN_RSP";
    case SIG_AMP_SDAP_SETUP                         : return "SIG_AMP_SDAP_SETUP";
    case SIG_AMP_SDAP_SERVICE_SEARCH_REQ            : return "SIG_AMP_SDAP_SERVICE_SEARCH_REQ";
    case SIG_AMP_SDAP_ENUM_REM_DEV_REQ              : return "SIG_AMP_SDAP_ENUM_REM_DEV_REQ";
    case SIG_AMP_SDAP_REM_DEV_LIST_CONSUMED         : return "SIG_AMP_SDAP_REM_DEV_LIST_CONSUMED";
    case SIG_AMP_SDAP_RESULT                        : return "SIG_AMP_SDAP_RESULT";
    case SIG_AMP_SDAP_SERVICE_SEARCH_CON            : return "SIG_AMP_SDAP_SERVICE_SEARCH_CON";
    case SIG_AMP_SDAP_REM_DEV_LIST_CON              : return "SIG_AMP_SDAP_REM_DEV_LIST_CON";
    case SIG_AMP_DUN_LISTEN_REQ                     : return "SIG_AMP_DUN_LISTEN_REQ";
    case SIG_AMP_DUN_CONNECT_REQ                    : return "SIG_AMP_DUN_CONNECT_REQ";
    case SIG_AMP_DUN_SEND_DATA_REQ                  : return "SIG_AMP_DUN_SEND_DATA_REQ";
    case SIG_AMP_DUN_CLOSE_REQ                      : return "SIG_AMP_DUN_CLOSE_REQ";
    case SIG_AMP_DUN_SHUTDOWN_REQ                   : return "SIG_AMP_DUN_SHUTDOWN_REQ";
    case SIG_AMP_DUN_SETUP_REQ                      : return "SIG_AMP_DUN_SETUP_REQ";
    case SIG_AMP_DUN_FLOW_CONTROL_REQ               : return "SIG_AMP_DUN_FLOW_CONTROL_REQ";
    case SIG_AMP_DUN_RESULT_IND                     : return "SIG_AMP_DUN_RESULT_IND";
    case SIG_AMP_DUN_OPEN_CON                       : return "SIG_AMP_DUN_OPEN_CON";
    case SIG_AMP_DUN_CLOSE_CON                      : return "SIG_AMP_DUN_CLOSE_CON";
    case SIG_AMP_DUN_RECV_IND                       : return "SIG_AMP_DUN_RECV_IND";
    case SIG_AMP_DUN_MODEM_STATUS_IND               : return "SIG_AMP_DUN_MODEM_STATUS_IND";
    case SIG_AMP_DUN_ERROR_IND                      : return "SIG_AMP_DUN_ERROR_IND";
    case SIG_AMP_DUN_SETUP_RESULT_IND               : return "SIG_AMP_DUN_SETUP_RESULT_IND";
    case SIG_AMP_DUN_FLOW_CONTROL_STATUS_IND        : return "SIG_AMP_DUN_FLOW_CONTROL_STATUS_IND";
    case SIG_AMP_BLE_CONNECT_IND                    : return "SIG_AMP_BLE_CONNECT_IND";
    case SIG_AMP_BLE_DISCONNECT_IND                 : return "SIG_AMP_BLE_DISCONNECT_IND";
    case SIG_AMP_BLE_RECV                           : return "SIG_AMP_BLE_RECV";
#ifdef INCLUDE_HID
    case SIG_AMP_HID_LISTEN_REQ                     : return "SIG_AMP_HID_LISTEN_REQ";
    case SIG_AMP_HID_CONFIG_ProductName             : return "SIG_AMP_HID_CONFIG_ProductName";
    case SIG_AMP_HID_CONFIG_ProviderName            : return "SIG_AMP_HID_CONFIG_ProviderName";
    case SIG_AMP_HID_CONFIG_ReportDescriptor        : return "SIG_AMP_HID_CONFIG_ReportDescriptor";
    case SIG_AMP_HID_CONFIG_DeviceSubclass          : return "SIG_AMP_HID_CONFIG_DeviceSubclass";
    case SIG_AMP_HID_CONNECT_REQ                    : return "SIG_AMP_HID_CONNECT_REQ";
    case SIG_AMP_HID_DISCONNECT_REQ                 : return "SIG_AMP_HID_DISCONNECT_REQ";
    case SIG_AMP_HID_SEND                           : return "SIG_AMP_HID_SEND";
    case SIG_AMP_HID_SetReport                      : return "SIG_AMP_HID_SetReport";
    case SIG_AMP_HID_SEND_Control                   : return "SIG_AMP_HID_SEND_Control";
    case SIG_AMP_HID_GET_CONNECT_STATUS             : return "SIG_AMP_HID_GET_CONNECT_STATUS";
    case SIG_AMP_HID_HANDSHAKE                      : return "SIG_AMP_HID_HANDSHAKE";
    case SIG_AMP_HID_CONTROL                        : return "SIG_AMP_HID_CONTROL";
    case SIG_AMP_HID_REPORT                         : return "SIG_AMP_HID_REPORT";
    case SIG_AMP_HID_GETREPORT                      : return "SIG_AMP_HID_GETREPORT";
    case SIG_AMP_HID_CONFIG_CON                     : return "SIG_AMP_HID_CONFIG_CON";
    case SIG_AMP_HID_LISTEN_CON                     : return "SIG_AMP_HID_LISTEN_CON";
    case SIG_AMP_HID_CONNECT_CON                    : return "SIG_AMP_HID_CONNECT_CON";
    case SIG_AMP_HID_CONNECT_STATUS                 : return "SIG_AMP_HID_CONNECT_STATUS";
    case SIG_AMP_HID_DISCONNECT_CON                 : return "SIG_AMP_HID_DISCONNECT_CON";
    case SIG_AMP_HID_SEND_CON                       : return "SIG_AMP_HID_SEND_CON";
#endif
    case SIG_AT_DEVICE_UP                           : return "SIG_AT_DEVICE_UP";
    case SIG_AT_ENABLE_BLE_ADV                      : return "SIG_AT_ENABLE_BLE_ADV";
    case SIG_AT_TX_DONE                             : return "SIG_AT_TX_DONE";
    case SIG_AT_RX_DONE                             : return "SIG_AT_RX_DONE";
    case SIG_AT_OUT_BYPASS_MODE                     : return "SIG_AT_OUT_BYPASS_MODE";
    case SIG_AT_FLUSH_SUSPECT_ESCAPE                : return "SIG_AT_FLUSH_SUSPECT_ESCAPE";
    case SIG_AT_REQUEST_SHUTDOWN                    : return "SIG_AT_REQUEST_SHUTDOWN";
    case SIG_AT_BOND_ENABLE_EXPIRE                  : return "SIG_AT_BOND_ENABLE_EXPIRE";
    case SIG_AT_BREAK_SEQUENCE_DONE                 : return "SIG_AT_BREAK_SEQUENCE_DONE";
    case SIG_AT_MODEM_HANGUP_SENT                   : return "SIG_AT_MODEM_HANGUP_SENT";
    case SIG_AT_SVC_SEARCH_DELAY                    : return "SIG_AT_SVC_SEARCH_DELAY";
    case SIG_AT_RECONFIG_GAP_DELAY_EXPIRE           : return "SIG_AT_RECONFIG_GAP_DELAY_EXPIRE";
    case SIG_AT_MODEM_BUTTON_PUSH                   : return "SIG_AT_MODEM_BUTTON_PUSH";
    case SIG_AT_MODEM_DEBOUNCE_TIMER_EXPIRE         : return "SIG_AT_MODEM_DEBOUNCE_TIMER_EXPIRE";
    case SIG_AT_MODEM_DEBOUNCE_TIMER_START          : return "SIG_AT_MODEM_DEBOUNCE_TIMER_START";
    case SIG_AT_ENABLE_SECURITY                     : return "SIG_AT_ENABLE_SECURITY";
    case SIG_AT_DSM_DEBOUNCE_TIMER_EXPIRE           : return "SIG_AT_DSM_DEBOUNCE_TIMER_EXPIRE";
    case SIG_AT_DSM_DEBOUNCE_TIMER_START            : return "SIG_AT_DSM_DEBOUNCE_TIMER_START";
    case SIG_AT_DSM_GPIO_BLOCK                      : return "SIG_AT_DSM_GPIO_BLOCK";
    case SIG_AT_DSM_GPIO_UNBLOCK                    : return "SIG_AT_DSM_GPIO_UNBLOCK";
    case SIG_AT_LINK_MODE_HOST_EVENT                : return "SIG_AT_LINK_MODE_HOST_EVENT";
    case SIG_AT_DISCOVERY_TIMEOUT                   : return "SIG_AT_DISCOVERY_TIMEOUT";
    case SIG_AT_100MS_TIMEOUT                       : return "SIG_AT_100MS_TIMEOUT";
    case SIG_AUTO_SNIFF_TIMEOUT                     : return "SIG_AUTO_SNIFF_TIMEOUT";
    case SIG_AUTO_RECONNECT                         : return "SIG_AUTO_RECONNECT";
    case SIG_SMART_CABLE_CONNECT                    : return "SIG_SMART_CABLE_CONNECT";
    case SIG_SMART_PRINTER_CONNECT                  : return "SIG_SMART_PRINTER_CONNECT";
    case SIG_AT_ROLE_SWITCH_SECURITY_ENABLE         : return "SIG_AT_ROLE_SWITCH_SECURITY_ENABLE";
    case SIG_AT_CHANGE_BAUD                         : return "SIG_AT_CHANGE_BAUD";
    case SIG_AT_RESET                               : return "SIG_AT_RESET";
    case SIG_AT_CONFIG_SEND                         : return "SIG_AT_CONFIG_SEND";
    case SIG_AT_HANDLE_HCI_EVENT                    : return "SIG_AT_HANDLE_HCI_EVENT";
    case SIG_AT_SCO_REMOVED                         : return "SIG_AT_SCO_REMOVED";
    case SIG_AT_SCO_ADDED                           : return "SIG_AT_SCO_ADDED";
    case SIG_AT_GPIO3_EVENT                         : return "SIG_AT_GPIO3_EVENT";
    case SIG_AT_GPIO3_DEBOUNCE_EXPIRE               : return "SIG_AT_GPIO3_DEBOUNCE_EXPIRE";
    case SIG_AT_GPIO4_EVENT                         : return "SIG_AT_GPIO4_EVENT";
    case SIG_AT_GPIO4_DEBOUNCE_EXPIRE               : return "SIG_AT_GPIO4_DEBOUNCE_EXPIRE";
    case SIG_AT_SPI_SLAVE_POLL                      : return "SIG_AT_SPI_SLAVE_POLL";
    case SIG_AT_DSM_ENABLE_DELAY                    : return "SIG_AT_DSM_ENABLE_DELAY";
    case SIG_MP_PACKET_TIMEOUT                      : return "SIG_MP_PACKET_TIMEOUT";
    case SIG_CUSTOM_MP_PACKET_TIMEOUT               : return "SIG_CUSTOM_MP_PACKET_TIMEOUT";
    case SIG_AT_GPIO_INTERRUPT                      : return "SIG_AT_GPIO_INTERRUPT";
    case SIG_AT_CALIBRATE                           : return "SIG_AT_CALIBRATE";
    case SIG_AT_CALIBRATE_HSE                       : return "SIG_AT_CALIBRATE_HSE";
    case SIG_AT_SET_DISCOVERY_MODE                  : return "SIG_AT_SET_DISCOVERY_MODE";
    case SIG_AT_SET_DISCOVERY_MODE_TIMEOUT          : return "SIG_AT_SET_DISCOVERY_MODE_TIMEOUT";
    case SIG_AT_SET_HCI_BAUDRATE                    : return "SIG_AT_SET_HCI_BAUDRATE";
    case SIG_AT_SPPSEND_WFCONNECTION_TIMEOUT        : return "SIG_AT_SPPSEND_WFCONNECTION_TIMEOUT";
    case SIG_AT_SPPSEND_CONNECTION_TIMEOUT          : return "SIG_AT_SPPSEND_CONNECTION_TIMEOUT";
    case SIG_AT_HCI_MONITOR_TIMER                   : return "SIG_AT_HCI_MONITOR_TIMER";
    case SIG_AT_TEST_TIMER                          : return "SIG_AT_TEST_TIMER";
    case SIG_AT_TEST_SUITE                          : return "SIG_AT_TEST_SUITE";
    case SIG_AT_TEST_SLEEP                          : return "SIG_AT_TEST_SLEEP";
    case SIG_AT_TEST_AWAKE                          : return "SIG_AT_TEST_AWAKE";

    default: return "";
    }
}

#endif // SDK